package de.ivu.elect.interfaces.core;

import java.io.Serializable;
import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class SchulungHistorie implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private SchulungArt schulungArt;

  @XmlElement(required = true)
  private String schulungArtLokalisiert;

  @XmlElement(required = false)
  private String bemerkung;

  @XmlElement(required = true)
  private String bezeichnung;

  @XmlElement(required = true)
  private Date datum;

  @XmlElement(required = true)
  private Date wahlterminDatum;

  @XmlElement(required = true)
  private String wahlterminName;

  public SchulungHistorie() {
    super();
  }

  public SchulungArt getSchulungArt() {
    return schulungArt;
  }

  public void setSchulungArt(SchulungArt schulungArt) {
    this.schulungArt = schulungArt;
  }

  public String getSchulungArtLokalisiert() {
    return schulungArtLokalisiert;
  }

  public void setSchulungArtLokalisiert(String schulungArtLokalisiert) {
    this.schulungArtLokalisiert = schulungArtLokalisiert;
  }

  public String getBemerkung() {
    return bemerkung;
  }

  public void setBemerkung(String bemerkung) {
    this.bemerkung = bemerkung;
  }

  public String getBezeichnung() {
    return bezeichnung;
  }

  public void setBezeichnung(String bezeichnung) {
    this.bezeichnung = bezeichnung;
  }

  public Date getDatum() {
    return datum;
  }

  public void setDatum(Date datum) {
    this.datum = datum;
  }

  public Date getWahlterminDatum() {
    return wahlterminDatum;
  }

  public void setWahlterminDatum(Date wahlterminDatum) {
    this.wahlterminDatum = wahlterminDatum;
  }

  public String getWahlterminName() {
    return wahlterminName;
  }

  public void setWahlterminName(String wahlterminName) {
    this.wahlterminName = wahlterminName;
  }
}
